Bug 214721 - Need to add ECC cipher support
Need to add ECC cipher support
Status: CLOSED WONTFIX
Product: 389
Classification: Community
Component: Security - SSL (Show other bugs)
1.0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Chandrasekar Kannan
:
Depends On:
Blocks: 152373 240316
  Show dependency treegraph
 
Reported: 2006-11-08 19:08 EST by Nathan Kinder
Modified: 2015-01-04 18:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 09:40:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (1.53 KB, patch)
2006-11-08 19:11 EST, Nathan Kinder
no flags Details | Diff

  None (edit)
Description Nathan Kinder 2006-11-08 19:08:32 EST
We need to make Directory Server support the following ciphers:

  TLS_ECDH_ECDSA_WITH_RC4_128_SHA
  TLS_ECDHE_ECDSA_WITH_RC4_128_SHA
  SSL_RSA_WITH_RC4_128_SHA 

The version of NSS we use already has support for these ciphers, so all we
should need to do is add config name mappings for each of these.
Comment 1 Nathan Kinder 2006-11-08 19:11:32 EST
Created attachment 140730 [details]
CVS Diffs
Comment 2 Rich Megginson 2006-11-08 20:42:05 EST
Ok.  Do we need to add these to admin server, or is that automatically handled
because we are using mod_nss?
Do we need to add these to the server config attribute
nsSSL3Ciphers: -rsa_null_md5,+rsa_rc4_128_md5,+rsa_rc4_40_md5,+rsa_rc2_40_md5,
 +rsa_des_sha,+rsa_fips_des_sha,+rsa_3des_sha,+rsa_fips_3des_sha,+fortezza,+f
 ortezza_rc4_128_sha,+fortezza_null,+tls_rsa_export1024_with_rc4_56_sha,+tls_
 rsa_export1024_with_des_cbc_sha
Comment 3 Rob Crittenden 2006-11-09 09:09:16 EST
The ECC ciphers will be available in the admin server assuming that mod_nss was
built with --enable-ecc.

Once that is done all you'd need to do is add the ECC ciphers to the mod_nss
directive NSSCipherSuite and they should work.

Note You need to log in before you can comment on or make changes to this bug.